News:

SMF 2.1.4 has been released! Take it for a spin! Read more.

Main Menu

upgrading?

Started by mack420, December 07, 2013, 09:59:57 PM

Previous topic - Next topic

mack420

got a forum that needs to be upgraded to 2.0.6, but I keep getting the following error.

QuoteTable 'seffouli_sfw.smf_sfwmenu_items' doesn't exist
File: /home1/seffouli/public_html/sfw/Sources/menu_source/resources/main.php
Line: 62

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 2.0.5, while your database is at version 2.0.4. The above error might possibly go away if you execute the latest version of upgrade.php.

Arantor

That is related to a mod you installed... not sure which mod it is though.
Holder of controversial views, all of which my own.

mack420


Burke ♞ Knight


What mods are you using?


mack420

I have a chat room mod, im chat mod, menu editor mod I think, and maybe a couple more, but I can't see my list of mods I installed due to the error message being where the mods should be listed. Every page in the forum I go to has that error message in place of what should be there and I haven't logged in a while. if there isn't enough info to fix this its not a big deal as this forum hasn't even been made public, so its not like I would lose much of anything I couldn't redesign if I had to erase it and start over which I almost did before I thought, hey, why not ask these guys, they seem to know a lot more than I, lol, so yea, I ain't worried or I would have more info for ya to work with

Arantor

Well, there's several menu editor mods out there - I already realised from the error that it was related to a menu mod but I'm not sure which one it is you're using.
Holder of controversial views, all of which my own.

mack420


Kindred

and did you fully install the mod?
Perhap you did a manual installation?

If so, you forgot to run the install.php file to create the database tables.
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

mack420

is the install.php file a part of the mod folder I uploaded and installed? if not, how do I do install it?

Kindred

you didn't actually answer the question.

did you do a manual installation?
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

mack420

I installed the mod using the package manager and everything worked when I did, but as I noted earlier, I had not logged in for a while, a few months perhaps. When I logged in prior to posting this topic I got the error that I posted, so I am not sure what happened as last time I was logged in, the forum was not giving me that error message.

Kindred

Then, it would seem that something deleted one or more of our database tables...

Either way, you will probably want to rerun the database install file from the mod package...
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

mack420

just upload the install file to the directory and go to the path in my browser?

Kindred

Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Matthew K.

Yup, that's Menu Editor Lite alright. Run the installer like Kindred suggested. That should fix your issue. Also posting here so that if another problem arises this topic is flagged for me :)

Advertisement: